package com.hai.service;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.hai.entity.HighCouponCodeOther;

import java.util.List;
import java.util.Map;

public interface HighCouponCodeOtherService {

    /**
     * 增加
     * @param couponCodeOther
     */
    void insertCouponCodeOther(HighCouponCodeOther couponCodeOther);

    /**
     * 修改
     * @param couponCodeOther
     */
    void update(HighCouponCodeOther couponCodeOther);

    /**
     * 查询列表
     * @param map
     * @return
     */
    List<HighCouponCodeOther> getList(Map<String,Object> map);

    /**
     * 查询详情
     * @param couponAgentCodeId
     * @return
     */
    HighCouponCodeOther getDetailByCouponAgentCodeId(Long couponAgentCodeId);

    /**
     * 根据卡券号查询
     * @param couNo
     * @return
     */
    HighCouponCodeOther getDetailByCouNo(String couNo);

    /**
     * 重庆中石化核销回调
     * @param param
     */
    void cqCnpcUseNotify(JSONObject param);

}
